require 'lightio'
module Soba
  module Monkey
    class << self
      def patch!
        origin_verbose = $VERBOSE
        $VERBOSE = nil
        LightIO::Monkey.patch_all! unless LightIO::Monkey.patched?(IO)
      ensure
        $VERBOSE = origin_verbose
      end

      alias patch_all! patch!
    end
  end
end
